Уголок новичка
   1736

обновление qt4

во время обновление qt4 в терминале получаю сообщение:
>>> NOTE, QT4 has been deprecated and will no longer be supported by Manjaro.
Please consider removing old applications still depending on qt4.
If still needed Qt4 can be compiled from the AUR.
(de xfce, если я правильно понял, то Qt4 более не поддерживается. Как определить какие программы используют qt4? Можно ли безболезненно для системы удалить Qt4?)

8 комментариев

avatar
sudo pacman -Rns qt4
Если при удалении могут поломаться какие-то пакеты, пакман скажет
0
avatar
проверка зависимостей…
ошибка: не удалось подготовить транзакцию (не удалось удовлетворить зависимости)
:: attica-qt4: удаление qt4 ломает зависимость 'qt4'
:: automoc4: удаление qt4 ломает зависимость 'qt4'
:: libdbusmenu-qt4: удаление qt4 ломает зависимость 'qt4'
:: phonon-qt4: удаление qt4 ломает зависимость 'qt4'
:: polkit-qt4: удаление qt4 ломает зависимость 'qt4'

не дает, что это за пакеты? Как определить для чего они?
?
родительский контроль или о том, как обиделись троли
0
avatar
sudo pacman -Rncs qt4
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Как определить для чего они?
С помощью великого и могучего гугла.
Вообще все, что я вижу в списке нужно самим четверокультям и может быть безболезненно удалено.
de xfce, если я правильно понял, то Qt4 более не поддерживается.
И никогда данным окружением не использовалось. Xfce использует GTK.
0
avatar
Можно ли безболезненно для системы удалить Qt4?
Можно. Себе давно уже удалил. Для всех прог, которые использовали qt4, нашлись аналоги на qt5.
Как определить какие программы используют qt4?
Например так:
$ pactree qt4-base
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
pactree qt4-base
в ответ получил:
error: package 'qt4-base' not found
?
родительский контроль или о том, как обиделись троли
0
avatar
Ну, у меня его уже нету, и я точно не помню как там он называется… Наберите qt4, нажмите дважды TAB, посмотрите у себя. Возможно, просто «qt4»?
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
Возьмите файл может он необходим, например для spflashtool.
Последний раз редактировалось
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.